#ifndef LAZERPROBESIMPAGE_H
#define LAZERPROBESIMPAGE_H

#include <QWidget>
#include "LazerProbeSimulator.h"


namespace Ui {
class CLazerProbeSimPage;
}

class CLazerProbeSimPage : public QWidget
{
    Q_OBJECT
    
public:
    explicit CLazerProbeSimPage(QWidget *parent = 0);
    ~CLazerProbeSimPage();
    CLazerProbeSimulator mLazerProbe;


private:
    Ui::CLazerProbeSimPage *ui;

public slots:
    void ProbeValueChanged(int);
    void EnableProbeChanged(int);
    void OutOfRangeChanged(int);
};

#endif // LAZERPROBESIMPAGE_H
